List of shifts

Returns a paginated list of shifts. Results can be scoped to one or more contracts and bounded by a date range using from_date and to_date. Token scopes: time-tracking:read

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Query parameters

limitstringOptionalformat: "^[0-9]+$"
Maximum number of records to return.
offsetstringOptionalformat: "^[0-9]+$"

Offset/index of record for the next page of records to return.

from_datestringOptionalformat: "date"

Filter shifts from this date (YYYY-MM-DD).

to_datestringOptionalformat: "date"

Filter shifts until this date (YYYY-MM-DD).

contract_id[]list of stringsOptional
Filter shifts by one or more contract IDs.

Response

Successful response with paginated shifts.
datalist of objects
List of shift records.
pageobject
Pagination information for the response.

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error